﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Clicker;

namespace TestForClicker
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void TestMethod1()
        {
            //1 point
            int point = 1;
            int click = 1;
            int expected = 2;

            MainWindow window = new MainWindow();
            int actual = window.Image_MouseDownTest(point, click);

            Assert.AreEqual(expected, actual);

            //3 point
            point = 1;
            click = 3;
            expected = 4;

            actual = window.Image_MouseDownTest(point, click);

            Assert.AreEqual(expected, actual);

            //5 point
            point = 1;
            click = 5;
            expected = 6;

            actual = window.Image_MouseDownTest(point, click);

            Assert.AreEqual(expected, actual);

            //7 point
            point = 1;
            click = 7;
            expected = 8;

            actual = window.Image_MouseDownTest(point, click);

            Assert.AreEqual(expected, actual);

            //10 point
            point = 1;
            click = 10;
            expected = 11;

            actual = window.Image_MouseDownTest(point, click);

            Assert.AreEqual(expected, actual);
        }
        [TestMethod]
        public void TestMethod2()
        {
            MainWindow window = new MainWindow();
            //IsOk - true
            int point = 313;
            double sol_b1 = 312;
            Assert.IsTrue(window.IsOk(point, sol_b1));
            //IsOk - false
            point = 213;
            sol_b1 = 312;
            Assert.IsFalse(window.IsOk(point, sol_b1));

            //pointMinus
            point = 312;
            sol_b1 = 312;
            int expected = 0;

            int actual = window.PointMinus_1(point, sol_b1);

            Assert.AreEqual(expected, actual);

            //clickPlus
            int click = 312;
            expected = 315;

            actual = window.ClckPlus_1(click);

            Assert.AreEqual(expected, actual);
        }
        [TestMethod]
        public void TestMethod3()
        {
            MainWindow window = new MainWindow();
            //IsOk2 - true
            int point = 1228;
            double sol_b2 = 1228;
            Assert.IsTrue(window.IsOk2(point, sol_b2));
            //IsOk2 - false
            point = 1128;
            sol_b2 = 1228;
            Assert.IsFalse(window.IsOk2(point, sol_b2));

            //pointMinus2
            point = 1228;
            sol_b2 = 1228;
            int expected = 0;

            int actual = window.PointMinus_2(point, sol_b2);

            Assert.AreEqual(expected, actual);

            //clickPlus2
            int click = 1228;
            expected = 1233;

            actual = window.ClckPlus_2(click);

            Assert.AreEqual(expected, actual);
        }
        [TestMethod]
        public void TestMethod4()
        {
            MainWindow window = new MainWindow();
            //IsOk3 - true
            int point = 2748;
            double sol_b3 = 2748;
            Assert.IsTrue(window.IsOk3(point, sol_b3));
            //IsOk3 - false
            point = 2648;
            sol_b3 = 2748;
            Assert.IsFalse(window.IsOk3(point, sol_b3));

            //pointMinus3
            point = 2748;
            sol_b3 = 2748;
            int expected = 0;

            int actual = window.PointMinus_3(point, sol_b3);

            Assert.AreEqual(expected, actual);

            //clickPlus3
            int click = 2748;
            expected = 2755;

            actual = window.ClckPlus_3(click);

            Assert.AreEqual(expected, actual);
        }
        [TestMethod]
        public void TestMethod5()
        {
            MainWindow window = new MainWindow();
            //IsOk4 - true
            int point = 4872;
            double sol_b4 = 4872;
            Assert.IsTrue(window.IsOk4(point, sol_b4));
            //IsOk4 - false
            point = 4772;
            sol_b4 = 4872;
            Assert.IsFalse(window.IsOk4(point, sol_b4));

            //pointMinus4
            point = 4872;
            sol_b4 = 4872;
            int expected = 0;

            int actual = window.PointMinus_4(point, sol_b4);

            Assert.AreEqual(expected, actual);

            //clickPlus4
            int click = 4872;
            expected = 4882;

            actual = window.ClckPlus_4(click);

            Assert.AreEqual(expected, actual);
        }
    }
}
